[PATCH] Fixing build (Error: Could not find tool 'aapt')

Andrey Zhdanov andrjufka at gmail.com
Wed Feb 26 07:07:00 PST 2014


Added comment about maven and android-maven-plugin versions compatibility.
Changed variables names according to this:
https://code.google.com/p/maven-android-plugin/wiki/GettingStarted
Now project builds successfully with mvn clean install.

Signed-off-by: Andrey Zhdanov <andrjufka at gmail.com>
---
 README.md | 7 ++++---
 pom.xml   | 2 +-
 2 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/README.md b/README.md
index 7a16219..b18d144 100644
--- a/README.md
+++ b/README.md
@@ -14,10 +14,11 @@ To build the application, you need [the Android SDK][1] and the followings:
 * [Eclipse][2] with [Google Android Development Toolkit][3] ;
 * [ActionBarSherlock][4], for compatibility reasons (optional if maven is used) ;
 * [ORMLite][5], for easier DB management ;
-* [Maven][6], with environment variable ANDROID_HOME set to your android installation, and in your path
-	* ${ANDROID_HOME}/bin (Linux)
-	* %ANDROID_HOME%\bin (Windows)
+* [Maven][6], with environment variable ANDROID_HOME set to your android SDK installation, and in your Path variable:
+	* $ANDROID_HOME/tools:$ANDROID_HOME/platform-tools (Linux, Mac)
+	* %ANDROID_HOME%\tools;%ANDROID_HOME%\platform-tools (Windows)
 	* When executing "mvn install", a folder target and the application in it will be created
+    * Use maven 3.0.1, if android-maven-plugin version is 3.6.0
 
 
 Licence
diff --git a/pom.xml b/pom.xml
index 10b5ef3..d0f0b3f 100644
--- a/pom.xml
+++ b/pom.xml
@@ -45,7 +45,7 @@
         		<plugin>
         			<groupId>com.jayway.maven.plugins.android.generation2</groupId>
 	                <artifactId>android-maven-plugin</artifactId>
-	                <version>3.5.0</version>
+	                <version>3.8.2</version>
 	                <extensions>true</extensions>
         		</plugin>
         	</plugins>
-- 
1.8.3.4 (Apple Git-47)



More information about the subsurface mailing list